server:
  port: 8080
  tomcat:
    threads:
      max: 5
      min-spare: 2
    accept-count: 2
    max-connections: 3
    connection-timeout: 12000
    keep-alive-timeout: 20
    max-keep-alive-requests: 100
spring:
  application:
    name: SpringBootApp
  profiles:
    active: dev
  freemarker:
    cache: true
    template-loader-path:
      - classpath:/templates
    check-template-location: true
    request-context-attribute: request
    charset: utf-8
    suffix: .ftl
    settings:
      classic_compatible: true #处理空值
      template_exception_handler: rethrow
      template_update_delay: 0
      datetime_format: yyyy-MM-dd HH:mm
      number_format: 0.##
  jpa:
    hibernate:
      ddl-auto: update
    show-sql: true
    #    database-platform: org.hibernate.dialect.MySQL57Dialect
    properties:
      hibernate:
        format_sql: true
        use_sql_comments: true
management:
  endpoints:
    web:
      exposure:
        include: ["*"]
  endpoint:
    health:
      show-details: always
  metrics:
    tags:
      application: ${spring.application.name}
mybatis:
  configuration:
    # 开启驼峰
    map-underscore-to-camel-case: true
  mapper-locations: classpath:mapper/**/**.xml
  type-aliases-package: cn.reghao.dbclient.mybatis.model
cluster:
  enable: false
  receiver:
    port: 4000
    address: 192.168.0.39
  member:
    - id: '{0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15}'
      host: 192.168.0.39
      port: 4000
      local: true
    - id: '{8,9,10,11,12,13,14,15,0,1,2,3,4,5,6,7}'
      host: 192.168.0.181
      port: 4000
      local: true